Bug 146576 - net/netatalk 2.1 has been released
net/netatalk 2.1 has been released
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 10:50 UTC by jonathan
Modified: 2010-07-30 09:30 UTC (History)
0 users

See Also:


Attachments
netatalk-2.1.patch.txt (10.61 KB, text/plain)
2010-05-20 22:45 UTC, stb
no flags Details
file.dat (61 bytes, text/plain; charset=us-ascii)
2010-05-20 22:45 UTC, stb
no flags Details
netatalk-2.1.patch.txt (11.87 KB, text/plain)
2010-05-22 14:30 UTC, stb
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jonathan 2010-05-14 10:50:02 UTC
netatalk 2.1 has now been released. Can the port be updated please?

http://netatalk.sourceforge.net/2.1/ReleaseNotes2.1.html
Comment 1 pav freebsd_committer 2010-05-14 13:45:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Assign to maintainer
Comment 2 stb 2010-05-20 22:45:59 UTC
Here's a patch to update the port to 2.1.  I've only lightly tested it so far, but Time Machine support seems to be working just fine.
Comment 3 jonathan 2010-05-21 22:09:34 UTC
On 20 May 2010, at 22:45, Stefan Bethke wrote:

> Here's a patch to update the port to 2.1.  I've only lightly tested it =
so far, but Time Machine support seems to be working just fine.

Hmmm. I got the following build error attempting an upgrade from =
netatalk 2.0.5:

-----=20
/bin/sh /usr/local/bin/libtool --tag=3DCC   --mode=3Dcompile cc =
-std=3Dgnu99 -DHAVE_CONFIG_H -I. -I../..    -I../../sys  =
-I/usr/local/include -I../../include -D_U_=3D"__attribute__((unused))" =
-O2 -pipe -march=3Dpentiumpro -fno-strict-aliasing -I../../sys -MT =
charcnv.lo -MD -MP -MF .deps/charcnv.Tpo -c -o charcnv.lo charcnv.c
libtool: compile:  cc -std=3Dgnu99 -DHAVE_CONFIG_H -I. -I../.. =
-I../../sys -I/usr/local/include -I../../include =
"-D_U_=3D__attribute__((unused))" -O2 -pipe -march=3Dpentiumpro =
-fno-strict-aliasing -I../../sys -MT charcnv.lo -MD -MP -MF =
.deps/charcnv.Tpo -c charcnv.c  -fPIC -DPIC -o .libs/charcnv.o
charcnv.c:195: error: conflicting types for 'add_charset'
/usr/local/include/atalk/unicode.h:142: error: previous declaration of =
'add_charset' was here
charcnv.c: In function 'push_charset_flags':
charcnv.c:926: error: 'CONV_ALLOW_COLON' undeclared (first use in this =
function)
charcnv.c:926: error: (Each undeclared identifier is reported only once
charcnv.c:926: error: for each function it appears in.)
charcnv.c: At top level:
charcnv.c:1033: error: conflicting types for 'convert_charset'
/usr/local/include/atalk/unicode.h:135: error: previous declaration of =
'convert_charset' was here
gmake[4]: *** [charcnv.lo] Error 1
gmake[4]: Leaving directory =
`/usr/ports/net/netatalk/work/netatalk-2.1/libatalk/unicode'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory =
`/usr/ports/net/netatalk/work/netatalk-2.1/libatalk/unicode'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory =
`/usr/ports/net/netatalk/work/netatalk-2.1/libatalk'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/net/netatalk/work/netatalk-2.1'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/net/netatalk.
-----=20

I temporarily renamed the existing /usr/local/include/atalk directory =
(which I presume shouldn't have gotten into the include path in the =
first place) and attempted again. It proceeded past this point, but then =
failed building the PAM support with:

-----=20
libtool: link: cc -shared  .libs/uams_dhx2_passwd.o   -Wl,-rpath =
-Wl,/usr/local/lib -Wl,-rpath -Wl,/usr/local/lib -lcrypt =
-L/usr/local/lib /usr/local/lib/libgcrypt.so =
/usr/local/lib/libgpg-error.so /usr/local/lib/libintl.so =
/usr/local/lib/libiconv.so =
-L/usr/ports/net/netatalk/work/netatalk-2.1/libatalk  -march=3Dpentiumpro =
  -Wl,-soname -Wl,uams_dhx2_passwd.so -o .libs/uams_dhx2_passwd.so
libtool: link: ar cru .libs/uams_dhx2_passwd.a  uams_dhx2_passwd.o
libtool: link: ranlib .libs/uams_dhx2_passwd.a
libtool: link: ( cd ".libs" && rm -f "uams_dhx2_passwd.la" && ln -s =
"../uams_dhx2_passwd.la" "uams_dhx2_passwd.la" )
/bin/sh /usr/local/bin/libtool --tag=3DCC   --mode=3Dcompile cc =
-std=3Dgnu99 -DHAVE_CONFIG_H -I. -I../..     -I../../include =
-D_U_=3D"__attribute__((unused))" -O2 -pipe -march=3Dpentiumpro =
-fno-strict-aliasing -I../../sys -MT uams_dhx2_pam_la-uams_dhx2_pam.lo =
-MD -MP -MF .deps/uams_dhx2_pam_la-uams_dhx2_pam.Tpo -c -o =
uams_dhx2_pam_la-uams_dhx2_pam.lo `test -f 'uams_dhx2_pam.c' || echo =
'./'`uams_dhx2_pam.c
libtool: compile:  cc -std=3Dgnu99 -DHAVE_CONFIG_H -I. -I../.. =
-I../../include "-D_U_=3D__attribute__((unused))" -O2 -pipe =
-march=3Dpentiumpro -fno-strict-aliasing -I../../sys -MT =
uams_dhx2_pam_la-uams_dhx2_pam.lo -MD -MP -MF =
.deps/uams_dhx2_pam_la-uams_dhx2_pam.Tpo -c uams_dhx2_pam.c  -fPIC -DPIC =
-o .libs/uams_dhx2_pam_la-uams_dhx2_pam.o
uams_dhx2_pam.c:32:20: error: gcrypt.h: No such file or directory
uams_dhx2_pam.c:47: error: expected '=3D', ',', ';', 'asm' or =
'__attribute__' before 'p'
uams_dhx2_pam.c:48: error: expected '=3D', ',', ';', 'asm' or =
'__attribute__' before 'serverNonce'
uams_dhx2_pam.c:77: error: expected ')' before '*' token
uams_dhx2_pam.c: In function 'dhx2_setup':
uams_dhx2_pam.c:261: error: 'gcry_mpi_t' undeclared (first use in this =
function)
uams_dhx2_pam.c:261: error: (Each undeclared identifier is reported only =
once
uams_dhx2_pam.c:261: error: for each function it appears in.)
uams_dhx2_pam.c:261: error: expected ';' before 'g'
uams_dhx2_pam.c:266: error: 'p' undeclared (first use in this function)
uams_dhx2_pam.c:266: warning: implicit declaration of function =
'gcry_mpi_new'
uams_dhx2_pam.c:267: error: 'g' undeclared (first use in this function)
uams_dhx2_pam.c:268: error: 'Ra' undeclared (first use in this function)
uams_dhx2_pam.c:269: error: 'Ma' undeclared (first use in this function)
uams_dhx2_pam.c:272: warning: implicit declaration of function =
'dh_params_generate'
uams_dhx2_pam.c:285: warning: implicit declaration of function =
'gcry_randomize'
uams_dhx2_pam.c:285: error: 'GCRY_STRONG_RANDOM' undeclared (first use =
in this function)
uams_dhx2_pam.c:286: warning: implicit declaration of function =
'gcry_mpi_scan'
uams_dhx2_pam.c:286: error: 'GCRYMPI_FMT_USG' undeclared (first use in =
this function)
uams_dhx2_pam.c:291: warning: implicit declaration of function =
'gcry_mpi_powm'
uams_dhx2_pam.c:303: warning: implicit declaration of function =
'gcry_mpi_print'
uams_dhx2_pam.c:334: warning: implicit declaration of function =
'gcry_mpi_release'
uams_dhx2_pam.c: In function 'logincont1':
uams_dhx2_pam.c:431: error: 'gcry_mpi_t' undeclared (first use in this =
function)
uams_dhx2_pam.c:431: error: expected ';' before 'Mb'
uams_dhx2_pam.c:434: error: 'gcry_cipher_hd_t' undeclared (first use in =
this function)
uams_dhx2_pam.c:434: error: expected ';' before 'ctx'
uams_dhx2_pam.c:435: error: 'gcry_error_t' undeclared (first use in this =
function)
uams_dhx2_pam.c:435: error: expected ';' before 'ctxerror'
uams_dhx2_pam.c:439: error: 'Mb' undeclared (first use in this function)
uams_dhx2_pam.c:440: error: 'K' undeclared (first use in this function)
uams_dhx2_pam.c:441: error: 'clientNonce' undeclared (first use in this =
function)
uams_dhx2_pam.c:442: error: 'serverNonce' undeclared (first use in this =
function)
uams_dhx2_pam.c:455: error: 'GCRYMPI_FMT_USG' undeclared (first use in =
this function)
uams_dhx2_pam.c:459: error: 'Ra' undeclared (first use in this function)
uams_dhx2_pam.c:459: error: 'p' undeclared (first use in this function)
uams_dhx2_pam.c:474: warning: implicit declaration of function =
'gcry_md_get_algo_dlen'
uams_dhx2_pam.c:474: error: 'GCRY_MD_MD5' undeclared (first use in this =
function)
uams_dhx2_pam.c:479: warning: implicit declaration of function =
'gcry_md_hash_buffer'
uams_dhx2_pam.c:486: error: 'ctxerror' undeclared (first use in this =
function)
uams_dhx2_pam.c:486: warning: implicit declaration of function =
'gcry_cipher_open'
uams_dhx2_pam.c:486: error: 'ctx' undeclared (first use in this =
function)
uams_dhx2_pam.c:486: error: 'GCRY_CIPHER_CAST5' undeclared (first use in =
this function)
uams_dhx2_pam.c:486: error: 'GCRY_CIPHER_MODE_CBC' undeclared (first use =
in this function)
uams_dhx2_pam.c:487: warning: implicit declaration of function =
'gcry_err_code'
uams_dhx2_pam.c:487: error: 'GPG_ERR_NO_ERROR' undeclared (first use in =
this function)
uams_dhx2_pam.c:492: warning: implicit declaration of function =
'gcry_cipher_setkey'
uams_dhx2_pam.c:498: warning: implicit declaration of function =
'gcry_cipher_setiv'
uams_dhx2_pam.c:504: warning: implicit declaration of function =
'gcry_cipher_decrypt'
uams_dhx2_pam.c:512: warning: implicit declaration of function =
'gcry_mpi_add_ui'
uams_dhx2_pam.c:515: warning: implicit declaration of function =
'gcry_create_nonce'
uams_dhx2_pam.c:537: warning: implicit declaration of function =
'gcry_cipher_encrypt'
uams_dhx2_pam.c:549: warning: implicit declaration of function =
'gcry_cipher_close'
uams_dhx2_pam.c: In function 'logincont2':
uams_dhx2_pam.c:570: error: 'gcry_mpi_t' undeclared (first use in this =
function)
uams_dhx2_pam.c:570: error: expected ';' before 'retServerNonce'
uams_dhx2_pam.c:571: error: 'gcry_cipher_hd_t' undeclared (first use in =
this function)
uams_dhx2_pam.c:571: error: expected ';' before 'ctx'
uams_dhx2_pam.c:572: error: 'gcry_error_t' undeclared (first use in this =
function)
uams_dhx2_pam.c:572: error: expected ';' before 'ctxerror'
uams_dhx2_pam.c:583: error: 'retServerNonce' undeclared (first use in =
this function)
uams_dhx2_pam.c:589: error: 'ctxerror' undeclared (first use in this =
function)
uams_dhx2_pam.c:589: error: 'ctx' undeclared (first use in this =
function)
uams_dhx2_pam.c:589: error: 'GCRY_CIPHER_CAST5' undeclared (first use in =
this function)
uams_dhx2_pam.c:589: error: 'GCRY_CIPHER_MODE_CBC' undeclared (first use =
in this function)
uams_dhx2_pam.c:590: error: 'GPG_ERR_NO_ERROR' undeclared (first use in =
this function)
uams_dhx2_pam.c:617: error: 'GCRYMPI_FMT_USG' undeclared (first use in =
this function)
uams_dhx2_pam.c:618: warning: implicit declaration of function =
'gcry_mpi_sub_ui'
uams_dhx2_pam.c:619: warning: implicit declaration of function =
'gcry_mpi_cmp'
uams_dhx2_pam.c:619: error: 'serverNonce' undeclared (first use in this =
function)
uams_dhx2_pam.c: In function 'changepw_3':
uams_dhx2_pam.c:755: error: 'gcry_mpi_t' undeclared (first use in this =
function)
uams_dhx2_pam.c:755: error: expected ';' before 'retServerNonce'
uams_dhx2_pam.c:756: error: 'gcry_cipher_hd_t' undeclared (first use in =
this function)
uams_dhx2_pam.c:756: error: expected ';' before 'ctx'
uams_dhx2_pam.c:757: error: 'gcry_error_t' undeclared (first use in this =
function)
uams_dhx2_pam.c:757: error: expected ';' before 'ctxerror'
uams_dhx2_pam.c:770: error: 'retServerNonce' undeclared (first use in =
this function)
uams_dhx2_pam.c:776: error: 'ctxerror' undeclared (first use in this =
function)
uams_dhx2_pam.c:776: error: 'ctx' undeclared (first use in this =
function)
uams_dhx2_pam.c:776: error: 'GCRY_CIPHER_CAST5' undeclared (first use in =
this function)
uams_dhx2_pam.c:776: error: 'GCRY_CIPHER_MODE_CBC' undeclared (first use =
in this function)
uams_dhx2_pam.c:777: error: 'GPG_ERR_NO_ERROR' undeclared (first use in =
this function)
uams_dhx2_pam.c:805: error: 'GCRYMPI_FMT_USG' undeclared (first use in =
this function)
uams_dhx2_pam.c:807: error: 'serverNonce' undeclared (first use in this =
function)
gmake[4]: *** [uams_dhx2_pam_la-uams_dhx2_pam.lo] Error 1
gmake[4]: Leaving directory =
`/usr/ports/net/netatalk/work/netatalk-2.1/etc/uams'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory =
`/usr/ports/net/netatalk/work/netatalk-2.1/etc/uams'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory =
`/usr/ports/net/netatalk/work/netatalk-2.1/etc'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/net/netatalk/work/netatalk-2.1'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/net/netatalk.
-----=20

If I turn off the PAM support then the build completes successfully. I =
haven't tried switching over to it yet though as I need to find a moment =
when I can take the server offline to test. I'll have a go tomorrow =
hopefully.

Thanks,

Jonathan
Comment 4 stb 2010-05-22 14:30:11 UTC
Here's a new patch that makes -DWITH_PAM work. Haven't looked into the upgrade issue yet.  My Time Machine issues turned out to be local; with a clean Mac OS X install, it's working ok.

-- 
Stefan Bethke <stb@lassitu.de>   Fon +49 151 14070811

Comment 5 stb 2010-05-28 07:29:06 UTC
I believe the version at =
http://www.lassitu.de/freebsd/netatalk/netatalk_2.1.1-1.tar.bz2 can be =
committed.

--=20
Stefan Bethke <stb@lassitu.de>   Fon +49 151 14070811
Comment 6 jonathan 2010-05-29 12:44:02 UTC
On 28 May 2010, at 07:29, Stefan Bethke wrote:

> I believe the version at =
http://www.lassitu.de/freebsd/netatalk/netatalk_2.1.1-1.tar.bz2 can be =
committed.

I've been running this build for the last two days and it seems to be =
fine.

Thanks,

Jonathan=
Comment 7 stb 2010-05-30 15:44:09 UTC
http://www.lassitu.de/freebsd/netatalk/netatalk-2.1.1-2.tar.bz2

includes a bug fix from Frank Lahm that addresses a segfault.

-- 
Stefan Bethke <stb@lassitu.de>   Fon +49 151 14070811
Comment 8 dfilter freebsd_committer 2010-05-30 18:03:31 UTC
marcus      2010-05-30 17:03:17 UTC

  FreeBSD ports repository

  Modified files:
    net/netatalk         Makefile distinfo pkg-descr pkg-plist 
    net/netatalk/files   patch-config_Makefile.in 
                         patch-config_netatalk.conf 
                         patch-configure 
  Added files:
    net/netatalk/files   patch-etc-uams_Makefile.in 
                         patch-etc_afpd_afp_options.c 
  Log:
  * Update to 2.1.1 [1]
  * Make AppleTalk support optional (enabled by default) [1]
  * Convert to OPTIONS [1]
  * Add a CONFLICTS entry for uniconvertor [2]
  
  Big thanks to Stefan Bethke <stb@lassitu.de> for doing all of the heavy
  lifting on this update.
  
  PR:             146576 [1]
                  145724 [2]
  Submitted by:   Stefan Bethke <stb@lassitu.de> [1]
  
  Revision  Changes    Path
  1.85      +43 -36    ports/net/netatalk/Makefile
  1.26      +3 -3      ports/net/netatalk/distinfo
  1.5       +13 -14    ports/net/netatalk/files/patch-config_Makefile.in
  1.3       +24 -28    ports/net/netatalk/files/patch-config_netatalk.conf
  1.15      +7 -7      ports/net/netatalk/files/patch-configure
  1.1       +11 -0     ports/net/netatalk/files/patch-etc-uams_Makefile.in (new)
  1.1       +13 -0     ports/net/netatalk/files/patch-etc_afpd_afp_options.c (new)
  1.4       +14 -19    ports/net/netatalk/pkg-descr
  1.30      +58 -49    ports/net/netatalk/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Joe Marcus Clarke freebsd_committer 2010-05-30 18:03:54 UTC
State Changed
From-To: open->closed

Netatalk has been updated to 2.1.1.
Comment 10 stb 2010-05-31 23:21:29 UTC
Here's an improved version: =
http://www.lassitu.de/freebsd/netatalk/netatalk-2.1.1-3.tar.bz2

This version also changes the MAINTAINER from marcus@freebsd.org to =
stb@lassitu.de, since Marcus appears to be unresponsive.

I'd love to see this committed before the ports freeze, if possible.

Here's a list of changes:

- Updated to netatalk 2.1.1.

- A new build option WITH_APPLETALK (default: off) will build all
  AppleTalk-related programs, utilities, man pages, etc.  By default,
  nothing that requires AppleTalk is built and installed; afpd is
  built without support for DDP.

- When building with PAM support, a suitable pam config file will be
  installed to $PREFIX/etc/pam.d/netatalk.

- Command line options for the various daemons are now configured
  through the standard rc.conf mechanism (afpd_flags, atalkd_flags,
  etc.) instead of through $PREFIX/etc/netatalk.conf.  The main
  netatalk_enable knob is gone.  To run the file server successfully,
  you should set afpd_enable=3D"YES" and cnid_metad_enable=3D"YES" in =
/etc/rc.conf.


--=20
Stefan Bethke <stb@lassitu.de>   Fon +49 151 14070811
Comment 11 Joe Marcus Clarke freebsd_committer 2010-05-31 23:35:23 UTC
On 5/31/10 6:21 PM, Stefan Bethke wrote:
> Here's an improved version: http://www.lassitu.de/freebsd/netatalk/netatalk-2.1.1-3.tar.bz2
> 
> This version also changes the MAINTAINER from marcus@freebsd.org to stb@lassitu.de, since Marcus appears to be unresponsive.

I don't know why you say I'm unresponsive.  I replied to your emails,
and committed your netatalk work yesterday.

Joe

> 
> I'd love to see this committed before the ports freeze, if possible.
> 
> Here's a list of changes:
> 
> - Updated to netatalk 2.1.1.
> 
> - A new build option WITH_APPLETALK (default: off) will build all
>   AppleTalk-related programs, utilities, man pages, etc.  By default,
>   nothing that requires AppleTalk is built and installed; afpd is
>   built without support for DDP.
> 
> - When building with PAM support, a suitable pam config file will be
>   installed to $PREFIX/etc/pam.d/netatalk.
> 
> - Command line options for the various daemons are now configured
>   through the standard rc.conf mechanism (afpd_flags, atalkd_flags,
>   etc.) instead of through $PREFIX/etc/netatalk.conf.  The main
>   netatalk_enable knob is gone.  To run the file server successfully,
>   you should set afpd_enable="YES" and cnid_metad_enable="YES" in /etc/rc.conf.
> 
> 


-- 
Joe Marcus Clarke
FreeBSD GNOME Team	::	gnome@FreeBSD.org
FreeNode / #freebsd-gnome
http://www.FreeBSD.org/gnome
Comment 12 stb 2010-05-31 23:39:41 UTC
Am 01.06.2010 um 00:35 schrieb Joe Marcus Clarke:

> On 5/31/10 6:21 PM, Stefan Bethke wrote:
>> Here's an improved version: =
http://www.lassitu.de/freebsd/netatalk/netatalk-2.1.1-3.tar.bz2
>>=20
>> This version also changes the MAINTAINER from marcus@freebsd.org to =
stb@lassitu.de, since Marcus appears to be unresponsive.
>=20
> I don't know why you say I'm unresponsive.  I replied to your emails,
> and committed your netatalk work yesterday.

I apologise; I was confused.  It was not meant as an accusation nor to =
take anything away from you, but rather to offer my help if needed.  I =
should have phrased it that way.


Stefan

--=20
Stefan Bethke <stb@lassitu.de>   Fon +49 151 14070811
Comment 13 dfilter freebsd_committer 2010-07-30 09:25:45 UTC
ashish      2010-07-30 08:25:23 UTC

  FreeBSD ports repository

  Modified files:
    editors/emacs-devel  pkg-plist 
  Removed files:
    editors/emacs-devel  pkg-message 
  Log:
  - Delete pkg-message (missed from last-commit).
  - Fix pkg-plist to avoid deleting directories in MTREE.
  
  PR:             ports/146576
  Approved by:    pgj (mentor)
  
  Revision  Changes    Path
  1.3       +0 -22     ports/editors/emacs-devel/pkg-message (dead)
  1.22      +0 -2      ports/editors/emacs-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"